Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QFont

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QFont class reference

### Public Functions

- void setPixelSizeFloat ( float pixelSize ) `(obsolete)`

### Static Public Members

- QFont defaultFont () `(obsolete)`
- void setDefaultFont ( const QFont & f ) `(obsolete)`

## Member Function Documentation

### QFont QFont::defaultFont () `[static]`

Please use QApplication::font() instead.

### void QFont::setDefaultFont ( const QFont & f ) `[static]`

Please use QApplication::setFont() instead.

### void QFont::setPixelSizeFloat ( float pixelSize )

Sets the logical pixel height of font characters when shown on the screen to pixelSize.